EDIT - feature request #5176

TransmissionEngineDistribution can run on selected taxa
09/01/2015 12:07 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 10:00 hours
Target version: Release 5.12

Severity: normal

Description

currently the TransmissionEngineDistribution can only be limited to run on a chosen Classification. So it must alway be run on a
whole classification even if only one taxon has been changed.

This limitation is also not very nice for development.

Related issues:

Related to EDIT - bug #8312: Test, fix, improve and run Transmission engine f... Closed
Related to EDIT - task #8651: Unify description aggregation methods (distribu... Closed
Related to EDIT - feature request #8677: Add distribution aggregation to set ... Closed

Associated revisions

Revision 6be3adaa - 11/11/2019 11:46 PM - Andreas Miiller
ref #5176, ref #8651 make DistributionAggregation treelndex based and use TaxonNodeFilter

Revision 3b1c92ca - 11/12/2019 12:45 AM - Andreas Muller

ref #5176 add all taxon node filter attributes to distribution aggregation webservice

History

#1 - 09/01/2015 12:22 PM - Andreas Kohlbecker

- Keywords set to TransmissionEngineDistribution

#2 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)

moving unresolved tickets to next milestone after release of 3.8.0

#3 - 12/18/2015 12:23 PM - Andreas Miuller

- Target version deleted (Release 3.12)

#4 - 03/24/2016 11:24 AM - Andreas Kohlbecker

there is a local branch TransmissionEngineDistribution on my computer with some work which should be rebased onto develop first.

#5 - 05/02/2016 03:06 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#6 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#7 - 06/21/2016 12:20 PM - Andreas Miuller

- Keywords changed from TransmissionEngineDistribution to TransmissionEngineDistribution, Euro+Med,

#8 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3
#9 - 09/26/2016 09:55 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#10 - 11/29/2016 09:13 AM - Andreas Kohlbecker
- Description updated

- Target version changed from Release 4.4 to Release 4.5

#11 - 01/19/2017 09:58 AM - Andreas Kohlbecker
- Priority changed from Highest to Priority13

- Target version changed from Release 4.5 to Release 4.6

#12 - 01/19/2017 09:58 AM - Andreas Kohlbecker

- Private changed from Yes to No

#13 - 03/10/2017 08:51 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#14 - 05/11/2017 10:22 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#15 - 07/06/2017 10:15 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#16 - 07/21/2017 10:32 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#17 - 09/13/2017 03:54 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

#18 - 09/24/2017 01:18 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#19 - 11/08/2017 11:18 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#20 - 12/05/2017 02:24 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#21 - 01/31/2018 12:18 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#22 - 02/15/2018 02:53 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#23 - 05/09/2018 06:17 PM - Andreas Miiller
- Estimated time set to 10:00 h

#24 - 05/14/2018 11:14 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#25 - 05/25/2018 11:47 AM - Andreas Miiller
- Priority changed from Priority13 to Priority10

#26 - 06/27/2018 02:22 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2
#27 - 08/17/2018 03:45 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#28 - 09/06/2018 09:57 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#29 - 10/23/2018 11:23 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#30 - 02/14/2019 10:28 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#31 - 02/19/2019 04:55 PM - Andreas Miiller
- Priority changed from Priority10 to Priority13

- Target version changed from Release 5.6 to Reviewed Next Major Release

#32 - 05/28/2019 02:42 PM - Andreas Miiller

- Related to bug #8312: Test, fix, improve and run Transmission engine for E+M added

#33 - 11/09/2019 11:27 AM - Andreas Miiller
- Related to task #8651: Unify description aggregation methods (distribution and structured descriptive data) added

#34 - 11/11/2019 11:34 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.12

#35 - 11/12/2019 06:11 PM - Andreas Miiller

- Related to feature request #8677: Add distribution aggregation to set subtree menu added

#36 - 11/12/2019 06:14 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

This should be fixed.

#37 - 12/03/2019 02:08 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

This should be fully fixed. As it has been used already and also a TaxEditor Ul for using it has been developped | close this ticket. If there are any
open issues we may open a follow up ticket.
